List a project's fragments
curl --request GET \
--url https://mathify.dev/api/v1/projects/{projectId}/fragments \
--header 'x-api-key: <api-key>'import requests
url = "https://mathify.dev/api/v1/projects/{projectId}/fragments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mathify.dev/api/v1/projects/{projectId}/fragments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fragments": [
{
"id": "<string>",
"messageId": "<string>",
"projectId": "<string>",
"title": "<string>",
"description": "<string>",
"sandboxUrl": "<string>",
"animationUrl": "<string>",
"thumbnailUrl": "<string>",
"vtpUrl": "<string>",
"vtkManifestUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"messageCreatedAt": "2023-11-07T05:31:56Z",
"public": true,
"files": {}
}
]
}{
"error": "Project not found"
}{
"error": "Project not found"
}{
"error": "Project not found"
}{
"error": "Project not found"
}Projects
List a project's fragments
GET
/
projects
/
{projectId}
/
fragments
List a project's fragments
Authorizations
apiKeyHeaderbearerAuth
Your Mathify API key (mk_live_<64 hex chars>), generated at /settings/api-keys.
Path Parameters
Query Parameters
Embed the fragment's generated source files.
Available options:
0, 1, true, false Max results to return (default 50, max 200).
Required range:
-9007199254740991 <= x <= 9007199254740991Response
Fragments
Show child attributes
Show child attributes
⌘I

